/* Box sizing rules */
*,
*::before,
*::after {
	box-sizing: border-box;
}

/* Prevent font size inflation */
html {
	-moz-text-size-adjust: none;
	-webkit-text-size-adjust: none;
	text-size-adjust: none;
	scrollbar-gutter: stable;
}

/* image inside a link don't have underline */
a>img,
a>picture,
a>figure {
	text-decoration: none;
}

/* image reset https://www.youtube.com/watch?v=345V2MU3E_w&t=21s&ab_channel=KevinPowell */
img {
	background-repeat: no-repeat;
	background-size: cover;
	font-style: italic;
	height: auto;
	max-inline-size: 100%;
	shape-margin: 0.75rem;
	vertical-align: middle;
}

/* Standardizing Focus Styles */
/* https://www.erikkroes.nl/blog/the-universal-focus-state/ */

:is(a, button, input, textarea, summary, select) {
	--box-shadow-color: white;
	--box-shadow-size: 0.25rem;
	--outline-color: black;
	--outline-offset: 0;
	--outline-size: .375rem;
	--outline-style: double;
}

:is(a, button, input, textarea, summary, select):focus {
	box-shadow: 0 0 0 var(--box-shadow-size) var(--box-shadow-color);
	outline-offset: var(--outline-offset);
	outline: var(--outline-size) var(--outline-style) var(--outline-color);
}

:is(a, button, input, textarea, summary, select):focus-visible {
	box-shadow: 0 0 0 var(--box-shadow-size) var(--box-shadow-color);
	outline: var(--outline-size) var(--outline-style) var(--outline-color);
	outline-offset: var(--outline-offset);
}

:is(a, button, input, textarea, summary, select):focus:not(:focus-visible) {
	box-shadow: none;
	outline: none;
}

/* padding above anchor links */
:target {
	scroll-margin-block-start: 2rem;
}

/* scroll padding allowance below focused elements to ensure they are clearly in view */
:focus {
	scroll-padding-block-start: 8vh;
	scroll-padding-block-end: 8vh;
}

/* prevent long-word overflowing */
:is(p, h1, h2, h3, h4, h5, h6, a, button) {
	word-break: break-word;
}

mark {
	background: transparent;
}

iframe {
	max-inline-size: 100%;
}


/********/
/********/
/* Set basis */


:root {
	--contrast: #232323;
	--grey: #7c7c7c;
	--primary: #f18700;
	--base: #ffffff;
	--base-2: #E7E7E8;
	--wrapper-padding-inline: clamp(20px, 10.4762px + 2.381vw, 40px);
	--inner-wrapper-max-size: 100rem;
	--wrapper-max-size: 120rem;
}


html,
html:focus-within {
	scroll-behavior: smooth;
}

/* Remove scroll behavior for people that prefer not to see them */
@media (prefers-reduced-motion: reduce) {

	html,
	html:focus-within {
		scroll-behavior: auto;
	}
}

/* Remove outline when focus on main or section */
main:focus,
main:focus-visible,
section:focus,
section:focus-visible {
	outline: none !important;
}

a {
	/* Remove from links to prevent perceiving false hyphens */
	hyphens: none;
}

/* FONTS */

@font-face {
	font-family: 'Open Sans';
	src: url('./fonts/OpenSans-ExtraBold.woff2') format('woff2');
	font-weight: 800;
	font-style: normal;
	font-display: swap;
}

@font-face {
	font-family: 'Open Sans';
	src: url('./fonts/OpenSans-Bold.woff2') format('woff2');
	font-weight: bold;
	font-style: normal;
	font-display: swap;
}

@font-face {
	font-family: 'Open Sans';
	src: url('./fonts/OpenSans-SemiBold.woff2') format('woff2');
	font-weight: 600;
	font-style: normal;
	font-display: swap;
}

@font-face {
	font-family: 'Open Sans';
	src: url('./fonts/OpenSans-Regular.woff2') format('woff2');
	font-weight: normal;
	font-style: normal;
	font-display: swap;
}




body {
	-moz-osx-font-smoothing: grayscale;
	-webkit-font-smoothing: antialiased;
	color: var(--contrast);
	display: flex;
	flex-direction: column;
	font-family: 'Open Sans';
	font-size: 1rem;
	font-weight: 600;
	line-height: 1.5;
	margin: 0;
	min-height: 100svh;
	min-height: 100vh;
	text-rendering: optimizeSpeed;
	font-kerning: normal;

	background: url("../images/background_v2.jpg") center center no-repeat var(--base);
	background-size: cover;

}

h1,
h2 {
	line-height: 1.1;
	text-wrap: balance;
}

#main {
	flex-grow: 1;
}


.content-grid {
	--_padding-inline: var(--wrapper-padding-inline, 1rem);
	--_content-max-width: var(--inner-wrapper-max-size, 47rem);
	--_breakout-max-width: var(--wrapper-max-size, 80rem);

	--_breakout-size: calc((var(--_breakout-max-width) - var(--_content-max-width)) / 2);

	display: grid;
	grid-template-columns:
		[full-width-start] minmax(var(--_padding-inline), 1fr) [breakout-start] minmax(0, var(--_breakout-size)) [content-start first-col-start] min(50% - (var(--_padding-inline)),
			var(--_content-max-width) / 2) [first-col-end second-col-start] min(50% - (var(--_padding-inline)),
			var(--_content-max-width) / 2) [second-col-end content-end] minmax(0, var(--_breakout-size)) [breakout-end] minmax(var(--_padding-inline), 1fr) [full-width-end];
}

.content-grid> :not(.breakout, .full-width),
.full-width> :not(.breakout, .full-width) {
	grid-column: content;
}

.content-grid>.breakout,
.content-grid>.alignwide,
.full-width>.breakout,
.full-width>.alignwide {
	grid-column: breakout;
}

.full-width>.full-width {
	grid-column: full-width;
	display: grid;
	grid-template-columns: inherit;

}

.content-grid>.full-width {
	grid-column: full-width;

	display: grid;
	grid-template-columns: inherit;
}


.cluster {
	--_space: var(--space, 1.5rem);
	--_justify: var(--justify, flex-start);
	--_align: var(--align, center);
	--_direction: var(--direction, row);

	align-items: var(--_align);
	display: flex;
	flex-wrap: wrap;
	flex-direction: var(--_direction);
	gap: var(--_space);
	justify-content: var(--_justify);
}



header {
	padding-top: 30px;
	padding-bottom: 30px;
}

header .right {
	display: flex;
	align-items: center;
}

header nav>ul {
	margin: 0;
	padding: 0;
	--space: 0.5rem 1rem;
}

.content-grid>.left {
	grid-column: first-col;
	padding-right: 20px;
}

.content-grid>.right {
	grid-column: second-col;
}

nav[role="navigation"] ul {
	list-style: none;
}

nav[role="navigation"] a {
	text-transform: uppercase;
	font-weight: bold;
	color: var(--grey);
	text-decoration: none;
	transition: color 350ms;
}

nav[role="navigation"] a[aria-current="page"] {
	color: var(--primary);
}

nav[role="navigation"] a:hover {
	color: var(--primary);
}

footer {
	padding-top: 20px;
	padding-bottom: 20px;
	background-color: var(--base);
	color: var(--grey);
	font-weight: bold;
	font-size: 0.8rem;
}

.basic-page footer,
.offers footer {
	background-color: var(--base-2);
}

footer p {
	max-width: unset;
	text-align: center;
}

footer a {
	text-decoration-color: transparent;
	color: inherit;
	transition: text-decoration-color 350ms;
}

footer a:hover {
	text-decoration-color: currentColor;
}

footer .wrapper {
	text-align: center;
}


.hero {
	min-height: 400px;
	padding-top: 40px;
	padding-bottom: 40px;
	position: relative;
	color: var(--base);
	isolation: isolate;
	background-size: cover !important;
	display: grid;
	align-content: center;
}

.hero::before {
	content: "";
	width: 100%;
	height: 100%;
	left: 0;
	top: 0;
	background: linear-gradient(90deg, rgba(0, 0, 0, 0.60) 0%, rgba(0, 0, 0, 0) 100%);
	position: absolute;
	z-index: -1;
}

.hero h1 {
	font-size: 2.5rem;
	font-weight: 600;
	margin-top: 0;
	max-width: 30ch;
	line-height: 1.3;
}

.hero h1 span {
	font-size: 1.25rem;
	display: block;
	font-weight: 400;
}

.hero .cluster {
	--space: 0.8rem;
	margin-top: 40px;
}

.hero ul {
	list-style: none;
	margin: 0;
	padding: 0;
}

.hero a {
	display: block;
	padding: 10px 15px;
	border-radius: 10px;
	background-color: var(--primary);
	text-decoration: none;
	color: #ffffff;
}

.hero ul>li:last-child a {
	background-color: var(--base);
	color: var(--primary);
}

h2 {
	color: var(--grey);
	font-weight: 800;
	font-size: 2rem;
}

p {
	max-width: 75ch;
}

.presentation {
	background-color: rgba(255, 255, 255, 0.7);
	padding-top: 60px;
	padding-bottom: 60px;
}

.offres {
	background-color: var(--primary);
	color: var(--base);
}

.offres .left {
	padding-top: 60px;
	padding-bottom: 60px;
	padding-right: 10px;
}

.offres .content-grid>.right {
	grid-column: 4/-1;
}

.offres h2,
.offres .subtitle {
	margin: 0;
}

.offres h2 {
	color: var(--base);
}

.offres .subtitle {
	font-size: 1.25rem;
	font-weight: 400;
	margin-top: 5px;
}

.offres .button {
	display: inline-block;
	margin-top: 30px;
	padding: 10px 15px;
	border-radius: 10px;
	color: inherit;
	text-decoration: none;
	background: var(--grey);
}

.swiper {
	height: 100%;
}

.swiper-slide img {
	aspect-ratio: 16/9;
	object-fit: cover;
	width: 100%;
	height: 100%;
}

.basic-page main,
.offers main {
	background-color: var(--base-2);
}


article {
	padding-top: 60px;
	padding-bottom: 60px;
	color: var(--grey);
}

article h1 {
	color: var(--primary);
	font-weight: 800;
	font-size: 3rem;
	margin-top: 0;
	margin-bottom: 0;
}

article h2 {
	color: var(--primary);
}

article h3 {
	color: var(--contrast);
}

article a {
	color: var(--contrast);
	transition: color 350ms;
}

article a:hover {
	color: var(--primary);
}

article li::marker {
	color: var(--primary);
}

@media (max-width:75em) {
	.swiper-slide img {
		aspect-ratio: unset;
	}

	.hero__content {
		grid-column: first-col !important;
	}
}

@media (max-width:50em) {

	header {
		padding-top: 15px;
		padding-bottom: 15px;
	}

	.brand img {
		width: auto;
		height: 40px;
	}

	.hero {
		min-height: 300px;
		background-position: center 0;
	}

	article {
		padding-top: 30px;
		padding-bottom: 30px;
	}
}

@media (max-width:42.5em) {

	body {
		background-position-x: 30%;
	}

	.content-grid>.left,
	.content-grid>.right {
		grid-column: content;
		padding-right: 0;
	}

	.content-grid>.left {
		margin-bottom: 10px;
	}

	header .content-grid>.left,
	header .content-grid>.right {
		grid-column: content;
	}

	header nav {
		margin-top: 10px;
	}

	.hero__content {
		grid-column: content !important;
	}

	.presentation {
		padding-top: 30px;
		padding-bottom: 30px;
	}

	.offres .left {
		padding-top: 30px;
		padding-bottom: 30px;
		padding-right: 0;
	}

	.offres .content-grid>.right {
		grid-column: 1/-1;
	}

	.swiper-slide img {
		aspect-ratio: 16/9;
	}
}